#!/bin/sh
# this script
# adds irc.libera.chat and #puppylinux channel to hexchat server list
# removed autostart and #puppylinux channel from FreeNode
# 2022-04-03 by norgo

z="/root/.config/hexchat/servlist.conf"
[ ! -f "$z" ] && exit;

# backup old server list
t=`date +%Y-%m-%d`
cp $z ${z%.conf}-${t}.bak

# remove freenode autostart and puppylinux channel
a=$(cat "$z" | egrep -n "^N=FreeNode|^J=#puppylinux|^F=27")

for i in $(echo $a)
do
	echo $i | grep -q "FreeNode$" && b=$(echo $i | awk -F: '{ print $1 }')
	echo $i | grep -q "J=#puppylinux$" && c=$(echo $i | awk -F: '{ print $1 }')
	echo $i | grep -q "F=27" && d=$(echo $i | awk -F: '{ print $1 }')

	e=$((c-b))

	if [ "$e" -lt 6 ] && [ "$e" -gt 0 ]
		then	
				sed -i "${d}s/F=27/F=19/; ${c}d" $z
				break
	fi
done

# add libera.chat and puppylinux channel
echo -e "N=LiberaChat\nF=27\nD=0\nS=irc.libera.chat\nJ=#puppylinux" >> $z
